=== debian/changelog ===
ir-tcl (1.4.3-1) unstable; urgency=low

  * For etch. Still using YAZ version 2.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 08 May 2007 08:41:07 +0200

ir-tcl (1.4.2-2) unstable; urgency=low

  * Use DESTDIR instead of --built-root.

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue,  4 May 2004 21:34:35 +0200

ir-tcl (1.4.2-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Mon, 26 Apr 2003 11:09:01 +0100

ir-tcl (1.4.1-3) unstable; urgency=low

  * Updated for YAZ 2.0.2 (new Debian package layout).

 -- Adam Dickmeiss <adam@indexdata.dk>  Tue, 29 Apr 2003 12:50:08 +0100

ir-tcl (1.4.1-2) unstable; urgency=low

  * New package in order to avoid libxml2 high version.

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 28 Sep 2002 10:58:00 +0100

ir-tcl (1.4.1-1) unstable; urgency=low

  * Upstream.

 -- Adam Dickmeiss <adam@indexdata.dk>  Sun, 24 Sep 2002 00:11:03 +0100

ir-tcl (1.4-1) unstable; urgency=low

  * First IR Tcl debian package

 -- Adam Dickmeiss <adam@indexdata.dk>  Fri, 13 Sep 2002 22:23:33 +0100
