=== debian/control ===
Source: ir-tcl
Standards-Version: 3.5.9.0
Maintainer: Adam Dickmeiss <adam@indexdata.dk>
Priority: extra
Build-Depends: libyaz-dev (>= 2.0.2), tcl8.3-dev

Package: ir-tcl-doc
Section: doc
Architecture: all
Recommends: ir-tcl
Description: Documentation for the IR Tcl.
 IR Tcl is a extension for Tcl that offers a Z39.50 client functionality.
 .
 This package contains documentation for the IR Tcl.

Package: ir-tcl
Section: net
Architecture: any
Depends: ${shlibs:Depends}, tcl8.3, tk8.3
Description: Information Retrieval Toolkit for Tcl.
 IR Tcl is a extension for Tcl that offers a Z39.50 client functionality.
